@import url('https://fonts.googleapis.com/css2?family=VT323&display=swap');
body{
    background-color: #EBF2F7;
    font-family: sans-serif;
    padding: 0;
    margin: 0;
    overflow-x: hidden;
    max-width: 100vw;
}



a{
    text-decoration: none;
}

/*navbar*/
.logo{
    color: white
}

.top_navbar{
    background-color: #0070A0;
    margin: 0;
    padding: 0;
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    color: #EBF2F7;
    box-shadow: 5px 5px 5px rgba(0,0,0,0.3);
    height: 70px;
    z-index: 50;
    overflow-x: hidden;
} 
.top_navbar a{
    color: #EBF2F7;
}

.top_navbar ul{
    display: flex;
    list-style: none;
    justify-content: space-between;
    position: absolute;
    padding: 5px;
    margin: 5px;
    font-size: 40px;
}

.top_navbar ul li{
    display: flex;
    cursor: pointer;
    margin-right: 40px;
    float: inline-start;
    justify-content: space-between;

}

.zoomable_item:active{
    transform: scale(0.7);
    transition: 100ms;
}

.top_navbar .search_bar{
    width: 30vw;
    height: 47px;
    font-size: 0.5em;
    border-radius: 3px;
    border: 1px solid #FBBF3B;
    outline: none;
    font-family: sans-serif;
}


.search_field_div marquee{
    background-color: black;
    color: #FF444F;
    border-radius: 10px;
    font-size: 20px;
    border: 2px solid tomato;
}


.top_navbar h3{
    margin: 0;
    padding: 0;
    font-size: 40px;
    font-family: sans-serif;
    font-weight: bold;
}
.search_icon{
    background-color: #ddd;
    padding: 5px;
    position: relative;
    left: -2px;
    color: black;
    border-radius: 0 5px 5px 0;
}

.search_icon:active{
    background-color: #FBBF3B;
    transition: 200ms;
}

#topbar_home_icon{
    display: none;
}

a .sell_btn{
    position: relative;
    background-color: #FBBF3B;
    padding: 10px 20px;
    font-size: 20px;
    border: 0px solid;
    border-radius: 5px;
    cursor: pointer;
    box-shadow: 5px 5px 5px rgba(0,0,0,0.3);
    top: -7px;
    z-index: 25;
}


/*--------------------------------------------------------*/
/*Position select div*/
.location_select_div{
    height: 50vh;
    width: 100vw;
    background-color: #0070a0b9;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}

.location_selector_main{
    font-size: 18px;
    cursor: pointer;
    padding: 2.4px;
    margin: 0;
    outline: none;
    z-index: 35;
}

.location_select_div h3{
    font-size: 18px;
    font-weight: 100;
    margin-right: 5px;
    color: #EBF2F7;
    z-index: 35;
}
.location_pin{
    background-color: #EBF2F7;
    border-radius: 0 5px 5px 0;
    font-size: 18px;
    padding: 3px;
    position: relative;
    left: -3px;
    z-index: 35;
}

.animation_cart_img{
    position: absolute;
    width: 200px;
    height: 200px;
    object-fit: contain;
    z-index: 30;
    bottom:0;
    left: 120vw;
}

.animation_lady{
    position: absolute;
    width: 230px;
    height: 230px;
    object-fit: contain;
    z-index: 30;
    bottom:0;
    left: 20px;
}

.animation_shirts{
    position: absolute;
    width: 30vw;
    height: 30vh;
    object-fit: contain;
    z-index: 30;
    bottom:0;
    margin-left: 80vw;
}

.div_products{
    display: flex;
    width: 100vw;
    position: relative;
    top: 0;
}

.side_menu{
    width: 20vw;
    background-color: white;
    height: 100%;
    border-radius: 5px;
    box-shadow: 5px 5px 5px rgba(0,0,0,0.1);
    margin: 10px;
    position: sticky;
    top: 90px;
}

.side_menu ul{
    list-style: none;
    margin: 3px;
    padding: 0;
}

.side_menu li{
    display: inline-flex;
    cursor: pointer;
    width: 100%;
    margin: 0;
    padding: 0;
}

.side_menu img{
    width: 30px;
    height: 30px;
    object-fit: contain;
}

.side_menu li:hover{
    background-color: #EBF2F7;
    transition: 200ms;
}

.side_menu li span{
    font-size: small;
    color: #2f2f2f;
    float: right;
    position: absolute;
    left: 70%;
}

.side_menu li i{
    font-size: small;
    color: gainsboro;
    float: right;
    position: absolute;
    left: 93%;
    margin-top: 10px;
}

.side_menu p{
    font-size: small;
    color: gray;
    font-weight: 500;
}

/*sub category*/
.sub_category_menu{
    position: fixed;
    left: 20vw;
    top: 90px;
    z-index: 40;
    height: 100vh;
    display: none;
}

/*Modal Menu*/
.modal_bg{
    width: 100vw;
    height: 100vh;
    background-color: #011923c2;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 50;
    display: flex;
    align-items: center;
    justify-content: center;
    display: none; /*Toggle between display none and 'flex'*/
}

.modal_menu{
    width: 30vw;
    max-height: 80vh;
    overflow-y: scroll;
    overflow-x: hidden;
    background-color: #EBF2F7;
    border-radius: 10px;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 5px;
    padding: 5px;
}

.modal_menu_item{
    padding: 5px;
    margin: 5px;
    border-radius: 10px;
    background-color: #fff;
    cursor: pointer;
}

.modal_menu_item:active{
    background-color: #ddd;
    transform: scale(1.1);
    transition: 50ms;
}

.modal_menu_item img{
    width: 5vw;
    height: 5vw;
    object-fit: contain;
}

.modal_menu_item p{
    font-size: small;
}

.close_modal_button{
    color: #fff;
    background-color: #de4a33;
    padding: 10px;
    border-radius: 50%;
    cursor: pointer;
    box-shadow: 10px 10px 10px rgba(0,0,0,0.1);
    position: fixed;
    top: 8%; 
    left: 70%;
    font-size: 20px; 
    z-index: 50;
}

/*product list*/
.products_list{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-gap: 10px;
    background-color: white;
    border-radius: 5px;
    box-shadow: 5px 5px 5px rgba(0,0,0,0.1);
    width: 75vw;
    height: 100%; 
    margin: 10px;
}

.single_product_link{
    text-decoration: none;
    padding: 0;
    margin: 0;
}

.single_product_link .prod_item_price{
    color: black;
}

.single_product_item{
    background-color: white;
    border-radius: 5px;
    box-shadow: 5px 5px 5px rgba(0,0,0,0.1);
    cursor: pointer;
    margin: 10px;
}

.single_product_item:hover{
    transform: scale(1.08);
}



.single_product_item img{
    width: 100%;
    height: 25vh;
    object-fit: cover;
    border-radius: 5px 5px 0px 0px;
}

.single_product_item h3{
    color: gray;
    font-size: medium;
    font-weight: 500;
}

.product_banner_premium{
    padding: 1px 20px;
    margin: 0;
    float: right;
    background-color: #FBBF3B;
    border-radius: 0px 5px 0px 30px;
    color: #fff;
    font-size: small;
}

.product_banner_medium{
    padding: 1px 20px;
    margin: 0;
    float: right;
    background-color: #0070A0;
    border-radius: 0px 5px 0px 30px;
    color: #fff;
    font-size: small;
}

/*single_item.html*/
.single_product_div{
    width: 100vw;
    max-height: 100%;
    display: flex;
    background-color: transparent;
    position: relative;
    top: 30px;
}

.single_product_keywords{
    width: 100vw;
    height:100%;
    position: relative;
    top: 60px;
    margin: 0;
}

.single_product_keywords ul{
    list-style: none;
    display: flex;
}

.single_product_keywords li{
    margin-right: 10px;
}
.single_product_keywords p{
    padding: 5px 10px;
    background-color: white;
    border-radius: 30px;
    cursor: pointer;
}

.single_product_details{
    background-color: #fff;
    width: 50vw;
    max-height: 100%;
    background-color: #fff;
    border-radius: 10px;
    box-shadow: 5px 5px 5px rgba(0,0,0,0.1);
    padding: 10px;
    margin: 10px;

}

.single_product_img{
    width: 50vw;
    height: 30vw;
    background-color: white;
    object-fit: cover;
}

.single_product_insights ul{
    list-style: none;
    color: gray; 
    display: flex;
    justify-content: space-between;
}

.single_product_insights li{
    display: inline-flex;
    cursor: pointer;
}

.single_product_insights i{
    position: relative;
    top: 16px;
}
.boosted_badge{
    border: 1px solid rgba(0,0,0,0.1);
    border-radius: 5px;
    padding: 5px;
}
hr{
    color: rgba(0,0,0,0.1);
}

.single_product_details h3{
    color: gray
}

#single_product_price{
    color: #2f2f2f;
}

.single_product_similar_list{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 10px;
}

/*single product Seller details*/
.product_seller_details{
    width: 40vw;
    height: 100%;
    background-color: transparent;
    position: sticky;
    top: 90px
}

.product_price_tab{
    background-color: white;
    border-radius: 5px;
    margin: 10px;
    box-shadow: 10px 10px 10px rgba(0,0,0,0.1);
    display: flex;
    justify-content: space-evenly;
    align-content: center;
    padding: 20px
}


.single_item_seller_profile_pic{
    width: 50px;
    height: 50px;
    border-radius: 50%;
    float: left;
    justify-content: space-between;
    display: inline-flex;
    cursor: pointer;
    border: 2px solid #0070A0;
    object-fit: cover;
}

.single_item_seller_profile_pic:hover{
    transform: scale(1.1);
    transition: 100ms;
}

.product_price_tab button{
    position: relative;
    top: 6px;
}

.product_price_tab i{
    font-size: 40px;
    color: gray;
    position: relative;
    top: 10px;
    cursor: pointer;
}

.product_price_tab i:hover{
    transform: scale(1.08);
    transition: 100ms;
}

.seller_review_tab span i{
    font-size: 20px;
    top: 0px;
}

.seller_review_tab span{
    padding: 5px 30%;
    border: 1px solid #ffb921;
    background-color: #ffb0071a;
    cursor: pointer;
    border-radius: 5px;
}


.seller_review_tab span:hover{
    background-color: #fbbe3b56;
    transition: 100ms;
}

.single_product_guidelines{
    padding: 0;
    font-size: medium;
    color: gray;
}

.seller_store_link{
    text-decoration: none;
    color: #2f2f2f;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
/*Seller Store*/
.seller_product_category_img{
    width: 50px;
    height: 50px;
    border-radius: 10px;
    object-fit: contain;
    cursor: pointer;
    background-color: #ffb92127;
}

.seller_insights{
    display: block;
    padding: 5px;
}

.seller_insights ul{
    list-style: none;
}

.seller_insights i{
    position: relative;
    font-size: 18px;
    top: 0;
    margin-right: 5px;
}


/*Seller reviews section*/
.modal_reviews_box{
    width: 40vw;
    height: 80vh;
    overflow:hidden;
    background-color: #EBF2F7;
    border-radius: 10px;
}

.reviews_chat_section{
    width: 40vw;
    height: 80%;
    overflow-y: scroll;
    overflow-x: hidden;
}

.review_message_item{
    width: 37vw;
    height: 120px;
    background-color: #fff;
    border-radius: 10px;     
    padding: 5px;
    margin-top: 10px;
    margin-left: 5px;
}

.reply_review_item{
    margin-left: 10%;
    width: 33vw;
    border-radius: 10px 10px 30px 30px;
}

.attachment_in_review{
    height: 220px;
}

.attachment_in_review .review_attachment{
    width: 80px;
    height: 80px;
    object-fit: contain;
    border-radius: 5px;
}

.review_message_item .review_profile_pic{
    width: 50px;
    height: 50px;
    border-radius: 50%;
    object-fit: cover;
    position: relative;
    margin: 5px;
    background-color: #fff;
    border: 2px solid #0070A0;
}


.admin_reply_item .review_profile_pic{
    border: 5px solid #8EC442;
}

.admin_reply_item .commenter_details h3 span{
    color: #8EC442;
}

.review_message_item ul{
    list-style: none;
}


.commenter_details{
    display: block;
    margin: 5px 50px;
    position: relative;
    top: -80px;
    
}

.commenter_details h3{
    color: gray;
    font-weight: 500;
    font-size: 1.2em;
}

.commenter_details p{
    color: black;
    font-size: medium;
    margin: 2px;
}

.reveiew_item_controls{
    position: relative;
    top: -10px;
    display: flex;
    width: 100%;
    align-items: center;
    justify-content: space-evenly;
    margin-left: 0px;
    left: -80px;
}

.reveiew_item_controls h3{
    font-size: medium;
}

.reveiew_item_controls li{
    color: gray;
    cursor: pointer;
}
.reveiew_item_controls i:active{
    color: #0070A0;
    transform: scale(1.2);
    transition: 100ms;
}

.reveiew_item_controls i{
    font-size: 20px;
}

.reviews_message_form_div{
    width: 100%;
    height: 20%;
    overflow: hidden;
    background-color: #fff;
    z-index: 40;
    box-shadow: 5px -5px 10px rgba(0,0,0,0.1);
    padding-top: 20px;
    padding-left: 10px;
}

#reviews_message_form{
    display: flex;
    align-items: center;
    justify-content: space-evenly;     
}

.reviews_message_form_div i{
    color: gray;
    font-size: 30px;
    cursor: pointer;
}

.reviews_message_form_div i:active{
    transform: scale(1.2);
    color: #0070A0;
    transition: 100ms;
}

.reviews_message_form_div input{
    width: 50%;
    border: 0px;
}
.reviews_message_form_div input:focus{
    outline: none;
}


/*Upload_item.html*/
.upload_new_item_wrapper_div{
    display: flex;
    justify-content: center;
    align-items: center;
    padding-bottom: 50px;
}

.upload_item_div{
    width: 40vw;
    height: 100%;
    position: relative;
    top: 90px;
    background-color: #fff;
    border-radius: 10px;
    box-shadow: 5px 5px 5px rgba(0,0,0,0.1);
    padding: 10px;
    margin-bottom: 50px;
}

.upload_item_div h3{
    color: gray;
}


.upload_item_div label{
    color: gray;
    font-size: small;
}

.upload_item_div input, .upload_item_div select{
    width: 97%;
    font-size: medium; 
    border: 1px solid rgba(0,0,0,0.1);
    padding: 9px;
    border-radius: 5px;
}

.upload_item_div input:active{
    outline: none;
    border: 1px solid #0070A0;
}

.upload_img_icon{
    font-size: 30px;
    color: #fff;
    background-color: #FBBF3B;
    border-radius: 50%;
    padding: 5px 7px;
    cursor: pointer;
    box-shadow: 10px 10px 10px rgba(0,0,0,0.1);
    margin: 5px 0px;
}

.upload_img_icon:hover{
    transform: scale(1.1);
}

.upload_img_two, .upload_img_three, .upload_img_four, .upload_img_five{
    display: none;
}

#upload_img_one, #upload_img_two, #upload_img_three, #upload_img_four, #upload_img_five{
    display: none;
}

/*uploaded_image_preview*/
.uploaded_image_preview{
    display: flex;
    overflow-y: hidden;
    overflow-x: scroll;
    max-width: 90%;
}

.uploaded_image_preview img{
    width: 90px; 
    height: 90px;
    object-fit: cover;
    border-radius: 10px;
    margin: 5px;
    cursor: pointer;
    background-color:#EBF2F7;
}

/*Promotion_tab*/
.promotion_tab{
    width: 70%;
    cursor: pointer;
    padding: 8px;
    border: 1px solid rgba(0,0,0,0.1);
    border-radius: 5px;
    margin-bottom: 10px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.promotion_tab:hover{
    background-color: #ffb92121;
}

.promotion_tab:active{
    border: 2px solid #FBBF3B;
    background-color: #FFF6E2;
}

.promotion_tab span{
    color: white;
    background-color: rgb(163, 163, 163);
    padding: 5px;
    border-radius: 20px;
    font-size: small;
}

#upload_item_btn{
    color: #fff;
    background-color: #0070A0;
    padding: 10px;
    border-radius: 5px;
    outline: none;
    border: none;
    font-size:larger;
    cursor: pointer;
    margin-bottom: 10px;
}

#upload_item_btn:hover{
    transform: scale(1.09);
    transition: 100ms;
    box-shadow: 5px 5px 5px rgba(0,0,0,0.1);
}


.upload_disclaimer{
    font-size: small;
    color: gray;
}
.upload_disclaimer a{
color: #0070A0;
}
/*Admin dashboard*/
.admin_side_menu{
    position: fixed;
    top: 60px;
    left: 0px;
    width: 20vw;
    height: 90vh;
    background-color: #0070A0;
    border-radius: 10px;
    box-shadow: 10px 10px 10px rgba(0,0,0,0.1);
}

.admin_side_menu ul{
    list-style: none;
    padding: 0 2px;
}

.admin_side_menu li{
    width: 100%;
    display: flex;
    align-items: center;
    border-bottom: 1px solid rgba(0,0,0,0.1);
    position: relative;
    left: 0;
    cursor: pointer;
}

.admin_side_menu img{
    width: 50px;
    height: 50px;
    border-radius: 50%;
    border: 2px solid #012c3e;
    background-color: #EBF2F7;
    margin-right: 10px;
    object-fit: cover;
}

.admin_side_menu i{
    font-size: 30px;
    margin-right: 15px;
}

.admin_side_menu h3{
    font-size: medium;
    font-weight: 500;
}

.admin_side_menu a{
    color: black;
}

.admin_side_menu a:active{
    color: black;
}

.admin_side_menu li:hover{
    background-color: #012c3e;
    color: #EBF2F7;
}

.admin_main_div{
    position: fixed;
    top: 90px;
    left: 22vw;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-gap: 50px;
    background-color: #fff;
    width: 70vw;
    height: 70vh;
    border-radius: 10px;
    box-shadow: 10px 10px 10px rgba(0,0,0,0.1);
    padding: 20px;
}

.admin_main_div_item{
    border-radius: 10px;
    box-shadow: 10px 10px 10px rgba(0,0,0,0.1);
    padding: 10px;
    cursor: pointer;
}

.admin_main_div_item:hover{
    transform: scale(1.05);
    transition: 100ms;
}

.admin_main_div_item i{
    font-size: 50px;
    color: gray;
}

.admin_main_div_item h3{
    font-size: medium;
    color: #2f2f2f;
}


/*admin_customers.html*/
.admin_customers_main_div{
    position: fixed;
    top: 90px;
    left: 22vw;
    background-color: #fff;
    width: 73vw;
    max-height: 77vh;
    overflow-y: scroll;
    overflow-x: hidden;
    border-radius: 10px;
    box-shadow: 10px 10px 10px rgba(0,0,0,0.1);
    padding: 10px;
}

.table_search_fields{
    width: 100%;
    position: sticky;
    top: -10px;
    background-color: white;
    padding-top: 10px;
}

.table_search_fields ul{
    list-style: none;
    display: flex;
}

.table_search_fields li{
    margin-right: 20px;
}

.table_search_fields input{
    font-size: medium;
    border: 1px solid rgba(0,0,0,0.1);
    outline: none;
    padding: 5px;
    border-radius: 5px;
}

.table_search_fields input:focus{
    border: 2px solid #0070A0;
    background-color: #0da8eb6b;
}



.admin_customers_table{
    width: 100%;
    border-collapse: collapse;
}

.admin_customers_table img{
    width: 50px;
    height: 50px;
    border-radius: 50%;
    border: 1px solid rgba(0,0,0,0.1);
    object-fit: cover;
}

.admin_customers_table thead{
    background-color: #057bad;
    color: #EBF2F7;
    padding: 10px;
    position: sticky;
    top: 45px;
}

.admin_customers_table th{
    padding: 10px 0px;
}

.admin_customers_table tr:nth-child(even){
    background-color: #f2f2f2;
}

.admin_customers_table tr:hover{
    cursor: pointer;
    background-color: #ddd;
}


/*Admin settings*/
.admin_settings_item{
    padding: 10px;
    box-shadow: 5px 5px 5px rgba(0,0,0,0.1);
    border-radius: 10px;
    margin-bottom: 15px;
}

.settings_headings{
    font-size: medium;
    color: rgba(128, 128, 128, 0.228);
}

.admin_settings_item input,.admin_settings_item select{
    width: 200px;
    border: 1px solid gray;
    border-radius: 3px;
    font-size: medium;
}

.admin_settings_item input:focus{
    outline: none;
    border: 1px solid #057bad;
}

.profile_image_preview img{
    width: 80px;
    height: 80px;
    border-radius: 50%;
    border: 1px solid rgba(128, 128, 128, 0.1);
    background-color: white;
    box-shadow: 5px 5px 5px rgba(0,0,0,0.1);
    cursor: pointer;
    object-fit: cover;
}
.profile_image_preview img:active{
transform: scale(1.2);
transition: 100ms;
}

.admin_settings_item button{
    background-color: #0070A0;
    color: white;
    outline: none;
    border: none;
    padding: 10px;
    font-size: medium;
    border-radius: 5px;
    cursor: pointer;
    box-shadow: 5px 5px 5px rgba(0,0,0,0.1);
}

.admin_settings_item button:active{
    transform: scale(0.9);
    transition: 100ms;
}

.promotion_tab h2{
    color: gray;
    font-weight: 100;
    font-size: medium;
    padding: 10px;
    border-radius: 30px;
    background-color: #fbbe3b3e;
}

.promotion_tab i{
    padding: 5px;
    border-radius: 5px;
    background-color: #ddd;
}

.promotion_tab .edit_icon{
    background-color: #FBBF3B;
    color: #fff;
}


.promotion_tab .delete_icon{
    color: white;
    background-color: #ED1E46;
}

/*Product Table*/
.decline_badge{
    font-size: 30px;
    color: #ED1E46;
}

.approved_badge{
    font-size: 30px;
    color: #8EC442;
}

.table_promotion_tab{
    font-size: small;
    color: gray;
    padding: 5px;
    background-color: #ffb92146;
    border-radius: 30px;
}

/*messages.html*/
.messages_main_div{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100vw;
    height: 100vh;
    overflow: hidden;

}

.message_chat_div{
    width: 80vw;
    height: 80vh;
    background-color: #fff;
    border-radius: 10px;
    box-shadow: 5px 5px 5px rgba(0,0,0,0.1);
    margin-top: 50px;
    display: flex;
    align-items: center;
}


/*left message div*/
.left_message_div{
    width: 40%;
    height: 100%;
    background-color: #fff;
    border-radius: 10px 0px 0px 10px;
}

.message_nav_bar{
    height: 50px;
    padding: 10px 5px;
    background-color: #fff;
    box-shadow: rgba(0,0,0,0.1);
    box-shadow: 2px 2px 2px rgba(0,0,0,0.1);
    border-radius: 10px 0px 0px 0px;
}

.message_nav_bar ul{
    list-style: none;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.message_nav_bar h3{
    font-size: medium;
    color: #2f2f2f;
}
.message_nav_bar i{
    color: #2f2f2f;
    font-size: 30px;
    cursor: pointer;
}

.chat_selection_div{
    width: 100%;
    padding: 0;
    margin: 0;
    position: sticky;
    left: 0;
    top: 0;
    box-shadow: 5px 5px 5px rgba(0,0,0,0.1);
    max-height: 68vh;
    overflow-y: scroll;
    overflow-x: hidden;
}


.chat_selection_div ul{
    list-style: none;
    margin: 0px;
    padding: 0px;
    /* max-height: 68vh;*/
    overflow-y: scroll;
    overflow-x: hidden; 
}

.chat_selection_div li{
    display: flex;
    align-items: center;
    position: relative;
    left: 0;
    top: 0;
    padding: 5px;
    margin: 0px;
    cursor: pointer;
    width: 98%;
    border-bottom: 1px solid rgba(0,0,0,0.1);
}

.chat_selection_div li:hover{
    background-color: #f2f2f2;
}

.chat_selection_div img{
    width: 50px;
    height: 50px;
    object-fit: cover;
    border-radius: 50%;
    background-color: #EBF2F7;
    border: 1px solid rgba(0,0,0,0.1);
}


.chat_selection_div h3{
    font-size: medium;
    color: #2f2f2f;
    position: absolute;
    top: -30%;
    left: 20%;
}

.chat_selection_div p{
    font-size: medium;
    color: #4f4f4f;
    position: absolute;
    top: 10%;
    left: 20%;
}

.chat_selection_div span{
    font-size: small;
    color: gray;
    position: absolute;
    top: 0%;
    left: 88%

}


/*Right message div*/
.right_message_div{
    width:60%;
    height: 100%;
    display: block;
}

.chatbox_navbar{
    background-color: #fff;
    border-bottom: 1px solid rgba(0,0,0,0.1);
    height: 90px;
    position: relative;
    top: 0px;
    left: 0px;
    width: 100%;
    padding: 0;
    border-radius: 0px 10px 0px 0px;
}

.chatbox_navbar ul{
    list-style: none;
    padding: 0px 5px; 
    margin: 0;
    height: 90px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.chatbox_navbar li{
    color: #2f2f2f;
}

.chatbox_navbar img{
    width: 50px;
    height: 50px;
    border-radius: 50%;
    object-fit: cover;
    background-color: #EBF2F7;
    border: 2px solid #0070A0
}

.chatbox_navbar h3{
    color: #0070A0;
    font-size: medium;
}

.chatbox_navbar a{
    color: #2f2f2f;
}
.chatbox_navbar i{
    font-size: 30px;
    cursor: pointer;
}

.chatbox_navbar i:hover{
    transform: scale(1.09);
    transition: 100ms;
}

#go_back_to_chat_selection_icon{
    display: none;
}

.featured_chat_item{
    position: relative;
    top: 0;
    left: 0;
    width: 96%;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px 10px;
    box-shadow: 5px 5px 5px rgba(0,0,0,0.1);
    margin: 0;
}

.featured_chat_item h3{
    font-size: small;
    color: gray;
    font-weight: 100;
}

.featured_chat_item img{
    width: 80px;
    height: 50px;
    object-fit: cover;
    border-radius: 5px;
}

.featured_chat_item button{
    font-size: small;
    color: #012c3e;
}

.chat_messages_window{
    width: 100%;
    height: 53%;
    overflow-x: hidden;
    overflow-y: scroll;
    background-color: #f2f2f2;
    z-index: 30;
    padding-bottom: 30px;
}
.message_tab{
    width: 50%;
    height: max-content;
    border-radius: 3px 15px 15px 15px;
    display: block;
    padding: 5px;
    position: relative;
    margin-top: 7px;
    top: 5px;
    left: 10px;
    background-color: white;
}

.message_tab .message_profile_img{
    width: 40px;
    height: 40px;
    border-radius: 50%;
    object-fit: cover;
    background-color: #fff;
    border: 1px solid rgba(0,0,0,0.1);
}

.message_tab p{
    font-size: medium;
    position: relative;
    left: 40px;
    top: -30px;
    width: 85%;
    padding: 0;
    margin: 7px;
}

.message_tab span{
    font-size: small;
    color: gray;
    position: absolute;
    top: 5px;
    left: 83%;
}

/*Outgoing message*/
.outgoing_message{
    background-color: #50add4;
    color: white;
    margin-left: 40%;
    border-radius: 15px 3px 15px 15px;
}

.outgoing_message span{
    color: #ddd;
}


/*message attachment*/
.message_attachment{
    width: 100%;
    height: auto;
    object-fit: contain;
    border-radius: 5px;
    position: relative;
    display: block;
}

.chat_message_input_div{
    width: 100%;
    height: 15%;
    padding-top: 10px;
    box-shadow: 5px -5px 5px rgba(0,0,0,0.1);
}

.chat_message_input_div i{
    font-size: 30px;
    color: gray;
    cursor: pointer;
}

.chat_message_input_div i:hover{
    transform: scale(1.1);
    transition: 100ms;
}

.chat_message_input_div i:active{
    color: #0070A0;
}

.chat_message_input_div input:focus{
    outline: none;
}

.chat_message_input_div input{
    outline: none;
    border:none;
    width: 70%;
    font-size: medium;
    padding : 5px;
    color: #4f4f4f;
    font-family: sans-serif;
}

.chat_message_input_form{
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0px 10px;
    z-index: 100;
}

/*################################################################################*/
/*MOBILE RESPONSIVENESS DESIGN*/
/*################################################################################*/

@media screen and (max-width: 992px){
    /*index.html page*/
    .logo{
        display: none;
    }
    .search_field_div{
        position: fixed;
        top: 70px;
    }
    
    .top_navbar .search_bar{
        width: 80vw;
        height: 47px;
        font-size: 0.5em;
    }

    .top_navbar ul{
        display: flex;
        list-style: none;
        justify-content: space-between;
        position: absolute;
        padding: 5px;
        margin: 5px;
        font-size: 35px;
    }
    
    .top_navbar ul li{
        display: flex;
        cursor: pointer;
        margin-right: 15px;
        float: inline-start;
        justify-content: space-between;
    
    }

    .animation_lady, .animation_shirts, .animation_cart_img{
        display: none;
    }

    .side_menu{
        display: none;
    }
    /*Modal menu*/
    .modal_menu{
        width: 80vw;
        max-height: 80vh;
        overflow-y: scroll;
        overflow-x: hidden;
        background-color: #EBF2F7;
        border-radius: 10px;
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        grid-gap: 5px;
        padding: 5px;
    }
    .modal_menu_item img{
        width: 10vw;
        height: 10vw;
        object-fit: contain;
    }
    /*product list*/
    .products_list{
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-gap: 10px;
        background-color: white;
        border-radius: 5px;
        box-shadow: 5px 5px 5px rgba(0,0,0,0.1);
        width: 100vw;
        height: 100%; 
        margin: 10px;
    }
    
    .single_product_item h3{
        color: gray;
        font-size: small;
        font-weight: 500;
    }

    .single_product_item p{
        font-size: small;
    }

    /*Single_item.html*/
    .single_product_div{
        width: 100vw;
        max-height: 100%;
        display: block;
        background-color: transparent;
        position: relative;
        top: 30px;
    }
    
    .single_product_keywords{
        margin-top: 50px;
        font-size: small;
        color: gray;
    }

    .single_product_keywords ul{
        display: flex;
    }

    .single_product_details{
        width: 90vw;
    }
    
    .single_product_img{
        width: 50vw;
        height: 60vw;
        background-color: white;
        object-fit: cover;
    }
    .single_product_insights ul{
        list-style: none;
        color: gray; 
        display: flex;
        justify-content: space-between;
        font-size: small;
    }
    
    .single_product_insights li{
        display: flex;
        cursor: pointer;
    }
    
    .single_product_insights i{
        position: relative;
        top: 16px;
    }
    .boosted_badge{
        border: 1px solid rgba(0,0,0,0.1);
        border-radius: 5px;
        padding: 2px;
        margin-right: 10px;

    }
    .single_product_similar_list{
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-gap: 5px;
    }
    
    /*single product Seller details*/
    .product_seller_details{
        width: 100vw;
        height: 100%;
        background-color: transparent;
        position: sticky;
        top: 90px
    }
    .product_price_tab img{
        margin-right: 10px;
    }
    .product_price_tab button{
        position: relative;
        top: 6px;
        font-size: small;
    }
    
    .product_price_tab i{
        font-size: 30px;
        color: gray;
        position: relative;
        top: 10px;
        cursor: pointer;
        margin-right: 10px;

    }
    /*Seller reviews section*/
    .modal_reviews_box{
        width: 97vw;
        height: 80vh;
        overflow:hidden;
        background-color: #EBF2F7;
        border-radius: 10px;
    }

.reviews_chat_section{
    width: 97vw;
    height: 80%;
    overflow-y: scroll;
    overflow-x: hidden;
}

.review_message_item{
    width: 93vw;
    height: 100px;
    background-color: #fff;
    border-radius: 10px;     
    padding: 5px;
    margin-top: 10px;
    margin-left: 5px;
}

.reply_review_item{
    margin-left: 10%;
    width: 83vw;
    border-radius: 10px 10px 30px 30px;
}

.attachment_in_review{
    height: 200px;
}

.attachment_in_review .review_attachment{
    width: 80px;
    height: 80px;
    object-fit: contain;
    border-radius: 5px;
}

.review_message_item .review_profile_pic{
    width: 50px;
    height: 50px;
    border-radius: 50%;
    object-fit: cover;
    position: relative;
    margin: 5px;
    background-color: #fff;
    border: 2px solid #0070A0;
}


.admin_reply_item .review_profile_pic{
    border: 5px solid #8EC442;
}

.admin_reply_item .commenter_details h3 span{
    color: #8EC442;
}

.review_message_item ul{
    list-style: none;
}


.commenter_details{
    display: block;
    margin: 5px 50px;
    position: relative;
    top: -80px;
    
}

.commenter_details h3{
    color: gray;
    font-weight: 500;
    font-size: 0.8em;
}

.commenter_details p{
    color: black;
    font-size: medium;
    margin: 2px;
}

.reveiew_item_controls{
    position: relative;
    top: -10px;
    display: flex;
    width: 70vw;
    align-items: center;
    justify-content: space-evenly;
    margin-left: 0px;
    left: -60px;
}

.reveiew_item_controls h3{
    font-size: small;
}

.reveiew_item_controls span{
    font-size: small;
}

.reveiew_item_controls li{
    color: gray;
    cursor: pointer;
}
.reveiew_item_controls i:active{
    color: #0070A0;
    transform: scale(1.2);
    transition: 100ms;
}

.reveiew_item_controls i{
    font-size: 20px;
}

.reviews_message_form_div{
    width: 100%;
    height: 20%;
    overflow: hidden;
    background-color: #fff;
    z-index: 40;
    box-shadow: 5px -5px 10px rgba(0,0,0,0.1);
    padding-top: 20px;
    padding-left: 10px;
}

#reviews_message_form{
    display: flex;
    align-items: center;
    justify-content: space-evenly;     
}

.reviews_message_form_div i{
    color: gray;
    font-size: 30px;
    cursor: pointer;
}

.reviews_message_form_div i:active{
    transform: scale(1.2);
    color: #0070A0;
    transition: 100ms;
}

.reviews_message_form_div input{
    width: 50%;
    border: 0px;
}
.reviews_message_form_div input:focus{
    outline: none;
}
    /*upload item div*/
    .upload_item_div{
        width: 90vw;
        height: 100%;
        position: relative;
        top: 90px;
        background-color: #fff;
        border-radius: 10px;
        box-shadow: 5px 5px 5px rgba(0,0,0,0.1);
        padding: 10px;
        margin-bottom: 50px;
    }
    /*Admin dashboard*/
    .admin_side_menu{
        position: fixed;
        top: 60px;
        left: 0px;
        width: 100vw;
        height: 90vh;
        z-index: 30;
        display: none;
    }
    .search_field_div marquee{
        background-color: black;
        color: #FF444F;
        border-radius: 10px;
        font-size: 20px;
        border: 2px solid tomato;
        width: 75vw;
        box-shadow: 20px 20px 20px rgba(0,0,0,0.1);
        margin-left: 15vw;
    }
    .admin_main_div{
        position: fixed;
        top: 90px;
        left: 0;
        display: grid;
        grid-template-columns: 1fr 1fr ;
        grid-gap: 50px;
        background-color: #fff;
        width: 90vw;
        height: 90vh;
        border-radius: 10px;
        box-shadow: 10px 10px 10px rgba(0,0,0,0.1);
        padding: 20px;
    }

    .admin_customers_main_div{
        position: fixed;
        top: 100px;
        background-color: #fff;
        width: 100vw;
        max-height: 90vh;
        overflow-y: scroll;
        overflow-x: scroll;
        border-radius: 10px;
        box-shadow: 10px 10px 10px rgba(0,0,0,0.1);
        padding: 10px;
        left: 0px;
    }
    .admin_customers_table{
        width: 100%;
        border-collapse: collapse;
        overflow: scroll;
    }

    /*messages.html*/
    .message_chat_div{
        width: 100vw;
        height: 97vh;
        background-color: #fff;
        border-radius: 10px;
        box-shadow: 5px 5px 5px rgba(0,0,0,0.1);
        margin-top: 50px;
        display: flex;
        align-items: center;
    }
    
    
    /*left message div*/
    .left_message_div{
        width: 100vw;
        height: 97vh;
        background-color: #fff;
        border-radius: 10px 0px 0px 10px;
        display: block;
    }
    
    .message_nav_bar{
        height: 50px;
        padding: 10px 5px;
        background-color: #fff;
        box-shadow: rgba(0,0,0,0.1);
        box-shadow: 2px 2px 2px rgba(0,0,0,0.1);
        border-radius: 10px 0px 0px 0px;
    }
    
    .message_nav_bar ul{
        list-style: none;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }
    
    .message_nav_bar h3{
        font-size: medium;
        color: #2f2f2f;
    }
    .message_nav_bar i{
        color: #2f2f2f;
        font-size: 30px;
        cursor: pointer;
    }
    
    .chat_selection_div{
        width: 100%;
        padding: 0;
        margin: 0;
        position: sticky;
        left: 0;
        top: 0;
        box-shadow: 5px 5px 5px rgba(0,0,0,0.1);
    }
    
    
    .chat_selection_div ul{
        list-style: none;
        margin: 0px;
        padding: 0px;
        max-height: 68vh;
        overflow-y: scroll;
        overflow-x: hidden;
    }
    
    .chat_selection_div li{
        display: flex;
        align-items: center;
        position: relative;
        left: 0;
        top: 0;
        padding: 5px;
        margin: 0px;
        cursor: pointer;
        width: 98%;
        border-bottom: 1px solid rgba(0,0,0,0.1);
    }
    
    .chat_selection_div li:active{
        background-color: #f2f2f2;
    }
    
    .chat_selection_div img{
        width: 50px;
        height: 50px;
        object-fit: cover;
        border-radius: 50%;
        background-color: #EBF2F7;
        border: 1px solid rgba(0,0,0,0.1);
    }
    
    
    .chat_selection_div h3{
        font-size: medium;
        color: #2f2f2f;
        position: absolute;
        top: -30%;
        left: 20%;
    }
    
    .chat_selection_div p{
        font-size: medium;
        color: #4f4f4f;
        position: absolute;
        top: 10%;
        left: 20%;
    }
    
    .chat_selection_div span{
        font-size: small;
        color: gray;
        position: absolute;
        top: 0%;
        left: 88%
    
    }
    
    
    /*Right message div*/
    .right_message_div{
        width:100vw;
        height: 92vh;
        display: none; /*Toggle between display 'none' and display 'block'*/
    }
    
    .chatbox_navbar{
        background-color: #fff;
        border-bottom: 1px solid rgba(0,0,0,0.1);
        height: 70px;
        position: relative;
        top: 0px;
        left: 0px;
        width: 100%;
        padding: 0;
        border-radius: 0px 10px 0px 0px;
    }
    
    .chatbox_navbar ul{
        list-style: none;
        padding: 0px 5px; 
        margin: 0;
        height: 90px;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }
    
    .chatbox_navbar li{
        color: #2f2f2f;
    }
    
    .chatbox_navbar img{
        width: 50px;
        height: 50px;
        border-radius: 50%;
        object-fit: cover;
        background-color: #EBF2F7;
        border: 2px solid #0070A0
    }
    
    .chatbox_navbar h3{
        color: #0070A0;
        font-size: medium;
    }
    
    .chatbox_navbar a{
        color: #2f2f2f;
    }
    .chatbox_navbar i{
        font-size: 30px;
        cursor: pointer;
    }
    
    .chatbox_navbar i:hover{
        transform: scale(1.09);
        transition: 100ms;
    }
    
    #go_back_to_chat_selection_icon{
        display: block;
        color: gray;
    }
    
    .featured_chat_item{
        position: relative;
        top: 0;
        left: 0;
        width: 96%;
        height: 40px;
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 10px 10px;
        box-shadow: 5px 5px 5px rgba(0,0,0,0.1);
        margin: 0;
    }
    
    .featured_chat_item h3{
        font-size: small;
        color: gray;
        font-weight: 100;
    }
    
    .featured_chat_item img{
        width: 80px;
        height: 50px;
        object-fit: cover;
        border-radius: 5px;
    }
    
    .featured_chat_item button{
        font-size: small;
        color: #012c3e;
    }
    
    .chat_messages_window{
        width: 100%;
        height: 80%;
        overflow-x: hidden;
        overflow-y: scroll;
        background-color: #f2f2f2;
        z-index: 30;
        padding-bottom: 30px;
    }
    .message_tab{
        width: 60%;
        height: max-content;
        border-radius: 3px 15px 15px 15px;
        display: block;
        padding: 5px;
        position: relative;
        margin-top: 7px;
        top: 5px;
        left: 10px;
        background-color: white;
    }
    
    .message_tab .message_profile_img{
        width: 40px;
        height: 40px;
        border-radius: 50%;
        object-fit: cover;
        background-color: #fff;
        border: 1px solid rgba(0,0,0,0.1);
    }
    
    .message_tab p{
        font-size: medium;
        position: relative;
        left: 40px;
        top: -30px;
        width: 85%;
        padding: 0;
        margin: 7px;
    }
    
    .message_tab span{
        font-size: small;
        color: gray;
        position: absolute;
        top: 5px;
        left: 83%;
    }
    
    /*Outgoing message*/
    .outgoing_message{
        background-color: #50add4;
        color: white;
        margin-left: 30%;
        border-radius: 15px 3px 15px 15px;
    }
    
    .outgoing_message span{
        color: #ddd;
    }
    
    
    /*message attachment*/
    .message_attachment{
        width: 100%;
        height: auto;
        object-fit: contain;
        border-radius: 5px;
        position: relative;
        display: block;
    }
    
    .chat_message_input_div{
        width: 100%;
        height: 5%;
        padding-top: 10px;
        box-shadow: 5px -5px 5px rgba(0,0,0,0.1);
        position: sticky;
        bottom: 0px;
        background-color: #fff;
    }
    
    .chat_message_input_div i{
        font-size: 30px;
        color: gray;
        cursor: pointer;
    }
    
    .chat_message_input_div i:hover{
        transform: scale(1.1);
        transition: 100ms;
    }
    
    .chat_message_input_div i:active{
        color: #0070A0;
    }
    
    .chat_message_input_div input:focus{
        outline: none;
    }
    
    .chat_message_input_div input{
        outline: none;
        border:none;
        width: 60%;
        font-size: medium;
        padding : 5px;
        color: #4f4f4f;
        font-family: sans-serif;
    }
    
    .chat_message_input_form{
        position: relative;
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 0px 10px;
        z-index: 100;
    }
    
}